package com.example.elasticsearch.demlelasticsearch.config;

import org.elasticsearch.client.transport.TransportClient;
import org.elasticsearch.common.settings.Settings;
import org.elasticsearch.common.transport.InetSocketTransportAddress;
import org.elasticsearch.transport.client.PreBuiltTransportClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import java.net.InetAddress;
import java.net.UnknownHostException;
@Configuration
public class EsConfig {
	public final static String HOST = "localhost";
	public final static int PORT = 9300;
	public final static String CLUSTER_NAME = "my-application";
	@Bean
	public TransportClient getClient() throws UnknownHostException {
		Settings esSetting = Settings.builder()
				.put("cluster.name", CLUSTER_NAME)
				.build();
		TransportClient transportClient = new PreBuiltTransportClient(esSetting);
		return transportClient.addTransportAddresses(
				// 5.5.0
				new InetSocketTransportAddress(InetAddress.getByName(HOST), PORT));
	}
}